#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	C++ XML processing library
Summary(pl.UTF-8):	Biblioteka C++ do przetwarzania XML-a
Name:		pugixml
Version:	1.13
Release:	1
License:	MIT
Group:		Libraries
#Source0Download: https://github.com/zeux/pugixml/releases
Source0:	https://github.com/zeux/pugixml/releases/download/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	3e4c588e03bdca140844f3c47c1a995e
Patch0:		longlong.patch
URL:		https://pugixml.org/
BuildRequires:	cmake >= 3.4
BuildRequires:	libstdc++-devel
BuildRequires:	rpm-build >= 4.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pugixml is a C++ XML processing library, which consists of a DOM-like
interface with rich traversal/modification capabilities, an extremely
fast XML parser which constructs the DOM tree from an XML file/buffer,
and an XPath 1.0 implementation for complex data-driven tree queries.
Full Unicode support is also available, with Unicode interface
variants and conversions between different Unicode encodings (which
happen automatically during parsing/saving).

%description -l pl.UTF-8
pugixml to biblioteka C++ do przetwarzania XML-a, składająca się z
interfejsu w stylu DOM z dużymi możliwościami przeglądania i
modyfikowania, bardzo szybkim analizatorem XML-a tworzącym drzewo DOM
z pliku/bufora XML oraz implementacji XPath 1.0 do złożonych zapytań
drzewiastych zależnych od danych. Dostępna jest też pełna obsługa
Unikodu, z wariantowym interfejsem i przekształcaniem między różnymi
kodowaniami Unikodu (co wykonywane jest automatycznie podczas
analizy/zapisu).

%package devel
Summary:	Header files for pugixml library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki pugixml
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for pugixml library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki pugixml.

%package static
Summary:	Static pugixml library
Summary(pl.UTF-8):	Statyczna biblioteka pugixml
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static pugixml library.

%description static -l pl.UTF-8
Statyczna biblioteka pugixml.

%package apidocs
Summary:	API documentation for pugixml library
Summary(pl.UTF-8):	Dokumentacja API biblioteki pugixml
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for pugixml library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki pugixml.

%prep
%setup -q
%patch0 -p1

%build
install -d build
cd build
%cmake .. \
	-DBUILD_SHARED_LIBS=ON
cd ..

%if %{with static_libs}
install -d build-static
cd build-static
%cmake .. \
	-DBUILD_SHARED_LIBS=OFF
cd ..
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with static_libs}
%{__make} -C build-static install \
	DESTDIR=$RPM_BUILD_ROOT

# force packaging cmake configs for shared target
%{__rm} -r $RPM_BUILD_ROOT%{_libdir}/cmake/pugixml
%endif

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc readme.txt
%attr(755,root,root) %{_libdir}/libpugixml.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libpugixml.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpugixml.so
%{_includedir}/pugiconfig.hpp
%{_includedir}/pugixml.hpp
%{_pkgconfigdir}/pugixml.pc
%{_libdir}/cmake/pugixml

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libpugixml.a
%endif

%files apidocs
%defattr(644,root,root,755)
%doc docs/*
%changelog
* Wed Apr 26 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pugixml.git;a=log;h=master

* Wed Apr 26 2023 Jakub Bogusz <qboosh@pld-linux.org> 32146cc
- updated to 1.13, separated -apidocs

* Sun Feb 06 2022 Jakub Bogusz <qboosh@pld-linux.org> e0c9a6e
- updated download URL

* Mon Jan 04 2021 Jakub Bogusz <qboosh@pld-linux.org> b02ef1a
- ensure cmake shared target files are packaged; release 2

* Sun Jan 03 2021 Jan Rękorajski <baggins@pld-linux.org> 016f4c2
- up to 1.11.4, fixes missing pugixml target for CMake

* Sat Dec 12 2020 Jakub Bogusz <qboosh@pld-linux.org> 5aa586e
- updated to 1.11

* Sun Dec 15 2019 Jakub Bogusz <qboosh@pld-linux.org> f109191
- updated to 1.10
- removed obsolete pc patch

* Sat Dec 01 2018 Jakub Bogusz <qboosh@pld-linux.org> d51802d
- updated to 1.9
- updated pc patch

* Thu Apr 06 2017 Jan Rękorajski <baggins@pld-linux.org> 0d33bfe
- release 2 (by relup.sh)

* Sat Feb 25 2017 Jakub Bogusz <qboosh@pld-linux.org> 92afb59
- updated to 1.8
- use cmake build system
- added pc patch, package .pc file

* Tue Aug 25 2015 Witold Filipczyk <witekfl@poczta.onet.pl> 151a21f
- long long support required by FileZilla
- rel 2

* Mon Aug 17 2015 Elan Ruusamäe <glen@delfi.ee> 3c10841
- simplify url

* Mon Aug 17 2015 Witold Filipczyk <witekfl@poczta.onet.pl> 46c0eb2
- updated to 1.6
- changed source url to github

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> 694fdbd
- x32 rebuild
- release 2 (by relup.sh)

* Sun Jul 29 2012 Jakub Bogusz <qboosh@pld-linux.org> 1392c26
- new

